
QGIS Application - Bug report #1166

WMS / WFS not valid SRS requests

2008-07-17 06:39 PM - LuizDomingues53 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11226

Description

Projection selection for WMS / WFS is buggy. Invalid CRS requested seems

related to problems parsing the REQUEST=GetCapabilities response, with 

lead to invalid options.

##Portuguese message translated back to english (may be different in original).##

It is impossible to draw  WMS RGA GMap  because:

Request contains a SRS not supported by the server for one or more layers.

Vendor WMS also reported: 

msWMSLoadGetMapParams(): WMS server error. Unsupported SRS namespace 

(only EPSG and AUTO currently supported).

Possible 'bug' of QGIS. Please report.

URL tentada: http://localhost/cgi-bin/mapserv.exe?MAP=/ms4w/apps/gmap/htdocs

/gmap75_wms.map&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&

BBOX=-172.367000,35.667300,-11.562400,83.829300&SRS=CRS:84&WIDTH=722&HEIGHT=217&

LAYERS=bathymetry&STYLES=&FORMAT=image/png&TRANSPARENT=TRUE

For better interoperation with [[MapServer]] and avoid this kind of error,

I suggest the distribution of MS4W epsg file (really a merge of 

epsg and esri files with some additions).

History

#1 - 2008-08-02 01:16 AM - Tim Sutton

Hi

Could you give a public server url to test against? Its not possibly to test using the url you provided since the url is on your localhost. Also I'm changing the

severity of this ticket to major as it doesnt seem to actually be causing a crash or any data corruption. Also the epsg file we use is the one maintained for

gdal & proj, which should be the basis of the one used for mapserver too. The qgis EGSG database was updated prior to release of 0.11.0 'Metis' to be in

sync with current proj4 / gdal epsg database. I'm marking this ticket 'pending user feedback' and will close it in a few weeks if no feedback has been

received.

I see that its trying to use : SRS=CRS:84

What is the expected EPSG? Also 84?

Are you using 'on the fly' projection?
The more detail you can give me the better.

Muito obrigado!

Tim

#2 - 2008-08-04 10:16 PM - LuizDomingues53 -

You can try (usually up from 22h00 to 02h00 UTC, I will keep it 24h up 

for next days)

  "Don't miss this final "&" (see ticket #1165 about this bug).

Other (better) option: 1) Install the WS4W for Windows from [[MapTools]].org:

      [

http://www.maptools.org/dl/ms4w/ms4w_2.2.7.zip&quot;:http://rgaeng.dynalias.com/cgi-bin/mapserv.exe?MAP=/ms4w/apps/gmap/htdocs/gmap75_wms

mapx%x%]

  Just unzip on the C-drive, reconfig Apache for a free port and start it.

2) Install PHP/MapScript Sample Application:

      [http://www.maptools.org/dl/ms4w/gmap_ms4w_ms5.zip]

And here is the problem: this demo uses "NAD83 LCC for Canada" projection, with a custom EPSG:42304 code (>32767). This code is correctly listed as

the source projection but it is unknown to QGIS.

I couldn't define a Custom Projection and attach it to this layer using the "Define Layer Projection" dialog (BTW: a Cancel option is missing here). This

dialog seems to be buggy. I defined the Project to this Custom Projection but it doesn't worked.

QGIS assumed SRS=CRS:84 as project default and draw a metric unknown projection map (xMin,yMin -2.26131e+06,-67422.4 : xMax,yMax

2.84037e+06,3.83012e+06) assuming degrees. Not an "on the fly" reprojection, only a mistake.

I was specting to define this layer projection and use it for the project (this was the first layer in project).

#3 - 2009-04-20 05:55 AM - Paolo Cavallini

Is this still valid? Please check and add further info, or close the ticket if it has been solved.

#4 - 2009-07-11 03:33 AM - Giovanni Manghi

Plase check again and verify if this still valid and/or add a url we can test. Post also the mapfile if you can.

#5 - 2009-07-18 03:49 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

Closing for lack of feedback. Reopen if necessary.
